@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

html, body {
  overflow-x: hidden;
}

.content {
  padding-top: 69px;
}

.no-border {
    border: 0;
    box-shadow: none; /* You may want to include this as bootstrap applies these styles too */
}

.navbar-collection {
  position: relative;
  z-index: 1099;
}
.navbar-mobile-blocking {
  width: 100%;
  padding: .5rem 1rem;
  box-shadow: 0 0 10px rgba(0,0,0,.4);

  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.navbar-brand img {
  height: 43px;
}

.nav-item-custom {
  text-align: center;
  border-bottom: 1px solid rgba(0,0,0,.1);
  margin: 0 9.5px;
}

.navbar-light .navbar-toggler {
  padding-right: 0;
}

.nav-item-custom:last-child {
  border-bottom: none;
}

.dropdown-menu-custom {
  background-color: transparent;
  border: none;
  text-align: center;
}

.navbar-expand-custom {
  padding: 0rem;
  background-color: #fff;
}

/* .navbar-expand-custom.expand {
  height: 100%;
} */

.navbar-nav {
  height: calc(100vh - 61px) !important;
}

.navbar-light .navbar-nav .nav-link.active,
.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover {
  color: #d51b38;
}

.nav-icon {
  width: 20px;
}

.nav-icon:after,
.nav-icon:before,
.nav-icon div {
  background-color: rgba(0,0,0,.9);
  border-radius: 3px;
  content: '';
  display: block;
  height: 2px;
  margin: 3px 0;
  transition: all .2s ease-in-out;
  -webkit-transition: all .2s ease-in-out;
  -moz-transition: all .2s ease-in-out;
}

.nav-icon:after {
  width: 85%;
  margin-left: auto;
}

.nav-icon.active:before {
  transform: translateY(5.25px) rotate(135deg);
}

.nav-icon.active:after {
  transform: translateY(-5.25px) rotate(-135deg);
  margin-left: 0;
  width: 100%;
}

.nav-icon.active div {
  transform: scale(0);
}

#navbar-list-item {
  position: relative;
}

.tab-line-navbar {
  position: absolute;
  width: 0;
  height: 5px;
  background-color: #d51b38;
  top: -1rem;
  right: -5.5rem;
  display: none;
  margin-top: -15px;

  transform-origin: right;

  transition: all 4s ease;
}

.tab-line-navbar.active {
  width: calc(100% + 5.5rem);
}

.navbar-light .navbar-nav .nav-link {
  font-family: 'roboto', sans-serif;
  color: #000;
  transition: all .3s ease;
  padding: .5rem 0;
  font-weight: 400;
}

#navbar-content {
  position: relative;
  /* height: calc(100% - 61px) !important; */
  background-color: #fff;
}

.navbar-m-footer-container {
  margin-top: 25px;
}

.dropdown-item {
  font-family: 'roboto', sans-serif;
}

.nav-footer-link {
  display: block;
  position: relative;
  background-color: #000;
  width: 30px;
  height: 30px;
  color: #fff;
  border-radius: 100%;
  margin: auto;
}

.nav-footer-link i {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 1rem;

  transform: translate(-50%, -50%);
}

.col-nav-ic {
  padding: 0;
}

.nav-footer-txt {
  font-family: "roboto", sans-serif;
  color: #535353;
  text-transform: uppercase;
  font-weight: 500;
}

.navbar-expand-lg .navbar-nav .dropdown-menu {
  background-color: #fff;
}


@media (min-width: 360px) {
  .navbar-m-footer-container {
    margin-top: 75px;
  }
}

@media (min-width: 375px) {
  .navbar-m-footer-container {
    margin-top: 0;
    position: absolute;
    bottom: 30px;
    width: 100%;
    left: 0;
  }
}

@media (min-width: 400px) {
  .navbar-light .navbar-nav .nav-link {
    padding: .6rem 0;
    font-size: 1.15rem;
  }

  .navbar-m-footer-container  {
    bottom: 50px;
  }
}

@media (min-width: 414px) and (min-height: 890px) {
  .navbar-light .navbar-nav .nav-link {
    font-size: 1.25rem;
  }
}

@media (min-width: 480px) {
  .navbar-nav {
    overflow-y: scroll;
  }

  .navbar-m-footer-container {
    position: relative;
    bottom: auto;
    margin-top: 75px;
    margin-bottom: 50px;
  }
}

@media (min-width: 600px) and (min-height: 960px) {
  .navbar-nav {
    overflow-y: hidden;
  }

  .navbar-m-footer-container {
    position: absolute;
    bottom: 50px;
    margin-top: 0;
    margin-bottom: 0;
  }
}

@media (min-width: 750px) {
  .navbar-nav {
    overflow-y: hidden;
  }

  .navbar-m-footer-container {
    position: absolute;
    bottom: 50px;
    margin-top: 0;
    margin-bottom: 0;
  }
}

@media (min-width: 992px) {
  .navbar-expand-custom {
    padding: 1rem 2.5rem;
  }

  .content {
    padding-top: 102px;
  }

  .navbar-expand-custom.expand {
    height: auto;
  }

  .navbar-mobile-blocking {
    width: auto;
    padding: 0;
    box-shadow: none;
  }

  .dropdown-menu-custom {
    min-width: 5rem;
  }

  .nav-item-custom {
    border-bottom: none;
  }

  .tab-line-navbar {
    display: block;
  }

  .navbar-brand img {
    height: 60px;
  }

  .nav-item-custom .nav-link {
    padding-left: .75rem !important;
    padding-right: .75rem !important;
  }

  .nav-item-custom:last-child .nav-link {
    padding-right: 0 !important;
  }


  /* Main layout */
  .container-max-length {
    max-width: calc(100% - 5rem) !important;
    margin: auto !important;
  }

  #navbar-content {
    height: auto;
  }

  .navbar-nav {
    height: auto !important;
  }

  .navbar-light .navbar-nav .nav-link {
    font-size: .9rem;
    padding: .5rem 0;
  }

  .container,
  .container-fluid {
    padding-left: 15px;
    padding-right: 15px;
  }

  .tab-line-navbar {
    top: -1.1rem;
  }
}

@media (min-width: 1200px) {

  .tab-line-navbar {
    top: -1rem;
  }

  .navbar-light .navbar-nav .nav-link {
    font-size: 1rem;
  }

  .navbar-expand-custom {
    padding: 1rem 5.5rem;
  }

  .container-max-length {
    max-width: calc(100% - 11rem) !important;
  }

  .navbar-light .navbar-nav .nav-link {
    font-weight: 500;
  }
}
